static char rcsid []="$Id: test032.C,v 1.1 1992/11/18 21:43:09 reti Exp $";
//  $RCS$
 
//  $Log: test032.C,v $
// Revision 1.1  1992/11/18  21:43:09  reti
// Initial revision
//
#include "test.h"

main ()
{
const IntPoint ipu;    
IntPoint ip,
         ip0(),ip1(1),ip2(1,2),ip3(1,2,3),ip4(1,2,3,4),ip5(1,2,3,4,5),
         ip6;
         
const FloatPoint fpu;
FloatPoint fp,
           fp0(),fp1(1.2),fp2(1.0,2.4),
           fp6;
int i=2;
float f=2.3;
float fi=2.0;
unsigned u=1;
IA::exit_on_throw=0;

p7(ipu,ip1);
//p7(ip1,ip0);// undefined <<
p7(ip1,ip1);
p7(ip1,ip2);
p7(ip1,ip3);
p7(ip1,ip4);
p7(ip1,ip5);
p7(ip1,fp2);
p7(ip1,i);
//p7(ip2,f);
//cfront:ambigous:(Int,Float)Pointconcat(const(IP,FP)&, (i,f) or const(IP,FP)&)?
p7(i,ip1);
p7(f,fp1);
p7(fp2,i);
p7(fp2,f);
p7(i,fp2);
p7(f,fp2);
}




